%define anolis_release 5

Name:           efivar
Version:        38
Release:        %{anolis_release}%{?dist}
Summary:        Tools to manage UEFI variables
License:        LGPL-2.1-only
URL:            https://github.com/rhboot/efivar
Requires:       %{name}-libs = %{version}-%{release}
ExclusiveArch:  %{efi}

BuildRequires:  gcc
BuildRequires:  efi-srpm-macros git glibc-static libabigail
BuildRequires:  make
BuildRequires:  mandoc
BuildRequires:  git
# please don't fix this to reflect github's incomprehensible url that goes
# to a different tarball.
Source0:        https://github.com/rhboot/efivar/releases/download/%{version}/efivar-%{version}.tar.bz2
Patch0001:      0001-Fix-the-march-issue-for-riscv64.patch


%description
efivar provides a simple command line interface to the UEFI variable facility.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package libs
Summary: Library to manage UEFI variables

%description libs
Library to allow for the simple manipulation of UEFI variables.

%package devel
Summary: Development headers for libefivar
Requires: %{name}-libs = %{version}-%{release}

%description devel
development headers required to use libefivar.

%prep
%setup -q -n %{name}-%{version}
git init
git config user.email "%{name}-owner@openanolis.cn"
git config user.name "anolis Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name

%build
# This package implements symbol versioning with toplevel ASM statments which is
# incompatible with LTO.  Disable LTO
%define _lto_cflags %{nil}

make LIBDIR=%{_libdir} BINDIR=%{_bindir} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
%makeinstall
install -m 0644 src/abignore %{buildroot}%{_includedir}/efivar/.abignore

%generate_compatibility_deps

%check
%ifarch x86_64
make abicheck
%endif

%ldconfig_scriptlets libs

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/efivar
%{_bindir}/efisecdb
%{abidir}/efivar-option.list
%{abidir}/efisecdb-option.list
%exclude %{_bindir}/efivar-static
%{_mandir}/man1/*

%files doc
%doc README.md

%files devel
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files libs
%dir %{abidir}
%{_libdir}/*.so.*
%{abidir}/*.dump

%changelog
* Wed May 14 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 38-5
- Rebuild for remove inappropriate build dependencies.

* Tue May 6 2025 Yihao Yan <yan.yihao@zte.com.cn> - 38-4
- add support for riscv64

* Mon Oct 31 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 38-3
- optimise spec file

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 38-2
- add doc package

* Thu Mar 03 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 38-1
- New upstream release (38)
- Init for Anolis OS 23
